Follow

Does Family Orbit support my phone?

Family Orbit is compatible with smartphones that run:

  • Android 4.0 and above,
  • IOS 7.0 and above.

In order for Family Orbit to work properly, you must enable Location Services in your specific device. The software also relies on an active Internet connection, Wi-Fi, or mobile data for a proper experience.

0 Comments

Please sign in to leave a comment.
Powered by Zendesk